package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.BodyPartDTO;
import com.diagbot.service.impl.BodypartServiceImpl;
import com.diagbot.vo.BodyPartVo;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 术语查询业务层
 * @author: Weixuan Huang
 * @time: 2019/3/21 11:40
 */
@Component
public class BodyPartFacade extends BodypartServiceImpl {

    /**
     * 获取术语部位信息
     *
     * @param bodyPartVo
     * @return IPage<BodyPartDTO>
     */
    public IPage<BodyPartDTO> getBodyParts(@RequestBody BodyPartVo bodyPartVo) {

        return getAllBodyParts(bodyPartVo);
    }

}
